Subject: Re: bug#13752: Suggestions regarding the minibuffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Jun 2021 07:46:04 +0200

Juri Linkov <[email-masked]> writes:

> But does `signal' use one of too low-level messaging functions?
> I can't find what function displays the error message in the echo area.

I hoped that was only me.  :-)  I tried following the logic from Ferror
to Fsignal to signal_or_quit, but it wasn't at all obvious to me where
that's actually displaying the message.

I instrumented set_message, and that's called by Fsignal at some point,
but even with Vset_message_function set properly, the error message
still ends up in the echo area...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no